Subject: bug#10453: 24.0.92; Emacs GTK ignores gtkrc files

From: "Jose A. Ortega Ruiz" <[email-masked]>
Date: Sat, 14 Jan 2012 20:12:00 +0100

On Sat, Jan 14 2012, Chong Yidong wrote:

> Jan Djärv <[email-masked]> writes:
>
>> Gtk3 does not handle gtkrc files.  Compile with Gtk+ 2 if you need
>> that behaviour.
>
> Is there no way to get the equivalent of GTK resources with Gtk3, or is
> it just unimplemented in Emacs?

As i mentioned in another email, Gtk3 looks for different (CSS) files in
different locations, but, if you have those files, Emacs reads them and
they are used (i wanted to eliminate the ugly resize grip the Gtk+ uses
by default, and i indeed did).

What's missing, AFAICT, is the possibility of having an Emacs-specific
resource file, i.e., the equivalent of ~/.emacs.d/gtkrc for Gtk+ 2.

jao